Rhino+

Rhinoceros plugin開発日記
by rhino-plus
S M T W T F S
1 2 3 4
5 6 7 8 9 10 11
12 13 14 15 16 17 18
19 20 21 22 23 24 25
26 27 28 29 30
Link
最新の記事
bbpl バグ修正
at 2013-12-26 14:28
bansen バグ修正
at 2013-12-26 14:22
53_offc (offse..
at 2012-10-18 15:19
以前の記事
ブログパーツ
夢見る外国為替
検索
その他のジャンル
ファン
記事ランキング
ブログジャンル
画像一覧

カテゴリ:14_bbp( 1 )


bbp(Bounding box plus)

おはようございます。インフルエンザが流行っていますが皆さん気をつけてくださいね。
さて今回はしょうたんの要望にありましたbbpコマンドをワイヤーフレーム化する方法です。
少し難しい内容がありますがLet's challengeです。
bbpのrvbプログラムをテキストエディッタなどで開いて下記の行のプログラムを探してください。では行きますよ。

intCount =7
arrPoint = arrBox(intCount)
arrBoxPt(intCount) = Array(arrPoint(0)-r,arrPoint(1)+r,arrPoint(2)+r)

P=Rhino.AddBox(arrBoxPt)
<-----ここでボックスをPに定義します。


arrSize(0)=Rhino.Distance ( arrBoxPt(1),arrBoxPt(0))
arrSize(1)=Rhino.Distance ( arrBoxPt(3),arrBoxPt(0))
arrSize(2)=Rhino.Distance ( arrBoxPt(4),arrBoxPt(0))

Rhino.print "Size = " & Rhino.Pt2Str(arrSize, 3)

Rhino.SelectObject (P)
<------ここで先ほど定義したボックスPを選択します。

Rhino.AddLine arrBoxPt(0), arrBoxPt(1)
Rhino.AddLine arrBoxPt(0), arrBoxPt(3)
Rhino.AddLine arrBoxPt(1), arrBoxPt(2)
Rhino.AddLine arrBoxPt(2), arrBoxPt(3)
Rhino.AddLine arrBoxPt(4), arrBoxPt(5)
Rhino.AddLine arrBoxPt(4), arrBoxPt(7)
Rhino.AddLine arrBoxPt(5), arrBoxPt(6)
Rhino.AddLine arrBoxPt(6), arrBoxPt(7)
Rhino.AddLine arrBoxPt(0), arrBoxPt(4)
Rhino.AddLine arrBoxPt(1), arrBoxPt(5)
Rhino.AddLine arrBoxPt(2), arrBoxPt(6)
Rhino.AddLine arrBoxPt(3), arrBoxPt(7)
<------ここではPの頂点を直線で結びます。arrBoxPt(X)はボックスの8つの頂点を示しています。

Rhino.deleteObject (P)
<------ここでサーフェイスのボックスPを削除しています。


どうでしょうか?プログラムをみるとユーザーがマニュアルで操作している方法と同じ流れをプログラム化しているだけです。問題はそのユーザーのマニュアル操作をプログラムにどうやって置き換えるかです。それはEditscriptのHELPを開いてサンプルプログラムを見て試行錯誤していくと求める記述が探せるようになりますよ。ファイトです!!

-------------------------------------------------------------------
ユーザーのしょうたさんの発案から生まれたコマンドです。加工素材取りで残り代を含めたBOXを作製する時などに使えます。デフォルトオフセット数値は10mmです。
このように必要なコマンドがありましたらご要望くださいね。
[PR]

by rhino-plus | 2011-02-19 07:43 | 14_bbp